@echo off
setlocal enableDelayedExpansion
set PRINTF_EXPONENT_DIGITS=2

Rem les commentaires peuvent
::  se mettre de deux façons

set "myDir=bench\"
set "myFile="
set "myLine="
set "myExt="
set "myRoot="

set "myLine=Checking differences with benchmarked files"
echo.!myLine!

::%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
:: 133I
set "myRoot=I133"

set "myExt=txt"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=read"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=trans"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=rpt"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=csv"
set "myFile=!myRoot!_bm.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=new"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myFile=!myRoot!\beta-_!myRoot!_tot.bs" 
fc /l /w !myDir!!myFile! !myFile!

set nbtrans=10
for /l %%i in (0, 1, !nbtrans!) do (
    set "myFile=!myRoot!\beta-_!myRoot!_trans%%i.bs" 
    fc /l /w !myDir!!myFile! !myFile!
)

::%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
:: 130Cs
set "myRoot=Cs130"

set "myExt=txt"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=read"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=trans"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=rpt"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=csv"
set "myFile=!myRoot!_ecbp.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=new"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set nbtrans=12
for /l %%i in (0, 1, !nbtrans!) do (
    set "myFile=!myRoot!\capt_!myRoot!_trans%%i.bs" 
    fc /l /w !myDir!!myFile! !myFile!
)

set "myFile=!myRoot!\beta+_!myRoot!_tot.bs" 
fc /l /w !myDir!!myFile! !myFile!

set nbtrans=3
for /l %%i in (0, 1, !nbtrans!) do (
    set "myFile=!myRoot!\beta+_!myRoot!_trans%%i.bs" 
    fc /l /w !myDir!!myFile! !myFile!
)

::%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
:: 40K
set "myRoot=K40"

set "myExt=txt"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=read"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=trans"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=rpt"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=csv"
set "myFile=!myRoot!_ecbp.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=csv"
set "myFile=!myRoot!_bm.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=new"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set nbtrans=1
for /l %%i in (0, 1, !nbtrans!) do (
    set "myFile=!myRoot!\capt_!myRoot!_trans%%i.bs" 
    fc /l /w !myDir!!myFile! !myFile!
)

set "myFile=!myRoot!\beta+_!myRoot!_tot.bs" 
fc /l /w !myDir!!myFile! !myFile!

set nbtrans=0
for /l %%i in (0, 1, !nbtrans!) do (
    set "myFile=!myRoot!\beta+_!myRoot!_trans%%i.bs" 
    fc /l /w !myDir!!myFile! !myFile!
)

set "myFile=!myRoot!\beta-_!myRoot!_tot.bs" 
fc /l /w !myDir!!myFile! !myFile!

set nbtrans=0
for /l %%i in (0, 1, !nbtrans!) do (
    set "myFile=!myRoot!\beta-_!myRoot!_trans%%i.bs" 
    fc /l /w !myDir!!myFile! !myFile!
)

::%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
:: 205Pb
set "myRoot=Pb205"

set "myExt=txt"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=read"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=trans"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=rpt"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=csv"
set "myFile=!myRoot!_ecbp.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set "myExt=new"
set "myFile=!myRoot!.!myExt!" 
fc /l /w !myDir!!myFile! !myFile!

set nbtrans=0
for /l %%i in (0, 1, !nbtrans!) do (
    set "myFile=!myRoot!\capt_!myRoot!_trans%%i.bs" 
    fc /l /w !myDir!!myFile! !myFile!
)
